is_infinite
lcg_value
Math Functions
PHP Manual

# is_nan

(PHP 4 >= 4.2.0, PHP 5)

is_nan — Finds whether a value is not a number

### Description

bool is_nan ( float `$val` )

Checks whether `val` is 'not a number', like the result of acos(1.01).

### Parameters

`val`

  The value to check

### Return Values

Returns `TRUE` if `val` is 'not a number', else `FALSE`.

### Examples

Example #1 is_nan() example

`<?php
// Invalid calculation, will return a
// NaN value
$nan = acos(8);
var_dump($nan, is_nan($nan));
?>`

The above example will output:

    float(NAN)
    bool(true)

### See Also

- is_finite() - Finds whether a value is a legal finite number
- is_infinite() - Finds whether a value is infinite

is_infinite
lcg_value
Math Functions
PHP Manual